Show / Hide Table of Contents

# Struct BattleChara

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct BattleChara

### Fields

| Improve this Doc View Source

#### Character

##### Declaration

    public Character Character

##### Field Value

Type | Description
--- | ---
Character |

| Improve this Doc View Source

#### EurekaElement

##### Declaration

    public EurekaElement EurekaElement

##### Field Value

Type | Description
--- | ---
EurekaElement |

| Improve this Doc View Source

#### EurekaLevel

##### Declaration

    public byte EurekaLevel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SpellCastInfo

##### Declaration

    public BattleChara.CastInfo SpellCastInfo

##### Field Value

Type | Description
--- | ---
BattleChara.CastInfo |

| Improve this Doc View Source

#### StatusManager

##### Declaration

    public StatusManager StatusManager

##### Field Value

Type | Description
--- | ---
StatusManager |

### Methods

| Improve this Doc View Source

#### GetCastInfo()

##### Declaration

    [VirtualFunction(82)]
    public BattleChara.CastInfo*GetCastInfo()

##### Returns

Type | Description
--- | ---
BattleChara.CastInfo* |